LocalFs (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.local, class: LocalFs

Package org.apache.hadoop.fs.local

# Class LocalFs

java.lang.Object
org.apache.hadoop.fs.AbstractFileSystem
org.apache.hadoop.fs.FilterFs
org.apache.hadoop.fs.ChecksumFs
org.apache.hadoop.fs.local.LocalFs

All Implemented Interfaces:
  `PathCapabilities`

@Private @Evolving public class LocalFs extends ChecksumFs
The LocalFs implementation of ChecksumFs.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `statistics`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.ChecksumFs

  `createInternal, delete, getApproxChkSumLength, getBytesPerSum, getChecksumFile, getChecksumFileLength, getChecksumLength, getRawFs, isChecksumFile, listLocatedStatus, listStatus, open, renameInternal, renameInternal, reportChecksumFailure, setReplication, setVerifyChecksum, truncate`

  ### Methods inherited from class org.apache.hadoop.fs.FilterFs

  `access, checkPath, createMultipartUploader, createSnapshot, createSymlink, deleteSnapshot, getAclStatus, getAllStoragePolicies, getCanonicalServiceName, getDelegationTokens, getEnclosingRoot, getFileBlockLocations, getFileChecksum, getFileLinkStatus, getFileStatus, getFsStatus, getFsStatus, getHomeDirectory, getInitialWorkingDirectory, getLinkTarget, getMyFs, getServerDefaults, getServerDefaults, getStatistics, getStoragePolicy, getUri, getUriDefaultPort, getUriPath, getXAttr, getXAttrs, getXAttrs, hasPathCapability, isValidName, listCorruptFileBlocks, listXAttrs, makeQualified, mkdir, modifyAclEntries, msync, open, openFileWithOptions, removeAcl, removeAclEntries, removeDefaultAcl, removeXAttr, renameSnapshot, resolvePath, satisfyStoragePolicy, setAcl, setOwner, setPermission, setStoragePolicy, setTimes, setXAttr, setXAttr, supportsSymlinks, unsetStoragePolicy`

  ### Methods inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `checkScheme, clearStatistics, create, createFileSystem, equals, get, getAllStatistics, getStatistics, hashCode, listStatusIterator, methodNotSupported, printStatistics, rename`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`